ImageTranscoderSpi (Java Platform SE 8 )
Keywords: javax.imageio.spi.ImageTranscoderSpi class
Date: 2018-03-02

javax.imageio.spi

## Class ImageTranscoderSpi

- java.lang.Object
- - javax.imageio.spi.IIOServiceProvider
  - - javax.imageio.spi.ImageTranscoderSpi

- All Implemented Interfaces:
    RegisterableService

      public abstract class ImageTranscoderSpi
      extends IIOServiceProvider

  The service provider interface (SPI) for `ImageTranscoder`s. For more information on service provider classes, see the class comment for the `IIORegistry` class.
  See Also:
    `IIORegistry`, `ImageTranscoder`

- - ### Field Summary

    - ### Fields inherited from class javax.imageio.spi.IIOServiceProvider

      `vendorName, version`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ImageTranscoderSpi()` Constructs a blank `ImageTranscoderSpi`.
    `` | `ImageTranscoderSpi(String vendorName, String version)` Constructs an `ImageTranscoderSpi` with a given set of values.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ImageTranscoder` | `createTranscoderInstance()` Returns an instance of the `ImageTranscoder` implementation associated with this service provider.
    `abstract String` | `getReaderServiceProviderName()` Returns the fully qualified class name of an `ImageReaderSpi` class that generates `IIOMetadata` objects that may be used as input to this transcoder.
    `abstract String` | `getWriterServiceProviderName()` Returns the fully qualified class name of an `ImageWriterSpi` class that generates `IIOMetadata` objects that may be used as input to this transcoder.

    - ### Methods inherited from class javax.imageio.spi.IIOServiceProvider

      `getDescription, getVendorName, getVersion, onDeregistration, onRegistration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageTranscoderSpi

          protected ImageTranscoderSpi()

      Constructs a blank `ImageTranscoderSpi`. It is up to the subclass to initialize instance variables and/or override method implementations in order to provide working versions of all methods.

    - #### ImageTranscoderSpi

          public ImageTranscoderSpi(String vendorName,
                                    String version)

      Constructs an `ImageTranscoderSpi` with a given set of values.
      Parameters:
        `vendorName` - the vendor name.
        `version` - a version identifier.

  - ### Method Detail

    - #### getReaderServiceProviderName

          public abstract String getReaderServiceProviderName()

      Returns the fully qualified class name of an `ImageReaderSpi` class that generates `IIOMetadata` objects that may be used as input to this transcoder.
      Returns:
        a `String` containing the fully-qualified class name of the `ImageReaderSpi` implementation class.
      See Also:
        `ImageReaderSpi`

    - #### getWriterServiceProviderName

          public abstract String getWriterServiceProviderName()

      Returns the fully qualified class name of an `ImageWriterSpi` class that generates `IIOMetadata` objects that may be used as input to this transcoder.
      Returns:
        a `String` containing the fully-qualified class name of the `ImageWriterSpi` implementation class.
      See Also:
        `ImageWriterSpi`

    - #### createTranscoderInstance

          public abstract ImageTranscoder createTranscoderInstance()

      Returns an instance of the `ImageTranscoder` implementation associated with this service provider.
      Returns:
        an `ImageTranscoder` instance.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.